Subject: bug#58334: 29.0.50; ASAN heap use after free in gui_produce_glyphs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Oct 2022 10:59:02 +0300

> From: Gerd Möllmann <[email-masked]>
> Date: Sat, 08 Oct 2022 08:58:02 +0200
> 
> Possible solutions:
> 
> 1. Don't call redisplay, depending on OS version.
> 
> 2. What Eli said - make uses of realized faces resilient against face
> cache clearing.
> 
> 3. Block input in vertical-motion etc. as Po Lu suggested.
> 
> 4. Do nothing because that's all esoteric.
> 
> I favour (1) or (4) because (2) I'm not motivated to do, and TBH I agree
> with Alan's comment above :-).  Can't say much about (3), except that
> Eli doesn't seem to like it.

If the choice should be 1 or 4, then I don't care much what you do,
because I don't use macOS.  FTR, both those alternatives sound bad to
me.  Though 1 seems slightly better, because it at least avoids
reading from unintialized memory, which could potentially lead to
crashes, and the OS versions where the call to redisplay matters are
relatively old (or so it sounds).